/* you can add your own custom css here if you don't want to worry about SASS/SCSS */

:root {
  --primary-color: #D8CBB8;
  --secondary-color: #221e1f;
  --accent-color-1: #A89C8A; /* Complimentary color 1 */
  --accent-color-2: #6E6658; /* Complimentary color 2 */
  --content-bg-color: #ffffff;
  --text-color: #221e1f;
}

.bg-primary {
  background-color: var(--primary-color) !important;
}

.bg-secondary {
  background-color: var(--accent-color-1) !important;
}

body {
  font-family: "Montserrat", sans-serif;
  color: var(--text-color);
}

#homeHero {
    background-size: cover; 
    background-position: center; 
    color: white;
}

#homeHero > div > img {
  width: 280px;
  margin: 100px 0px;
}

#homeHeroText {
  background-color: rgba(0, 0, 0, 0.45);
  padding: 10px;
  color: white;
  margin: 80px 0px 80px;
}

#homeHeroText h1 {
    font-size: 39px;
    font-weight: bold;
}

#homeHeroText .lead {
  font-size: 24px;
}

#buildingAmenities {
    background: #D8CBBB;
}

.nav-tabs .nav-link {
  border-radius:initial;
}

.nav-link {
    color: #000 !important;
}

.nav-link.active {
    font-weight:bold;
}

div#myTabContent {
    background: white;
    padding: 20px;
}

.custom-button {
    background-color: #221e1f;
    color: #ffffff;
    width: 100%;
    height: 100%;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none; /* Remove underline from link */
    padding: 16px;
}

.button-container {
    height: 100%;
}

#myTabContent .amenityPhotos {
  padding: 40px 40px 0px;
  background-color: #f7f4f0;
  margin-bottom:40px;
}

div.amenityPhotos img.img-fluid {
  margin-bottom: 40px;
}

.clickable-image {
  border-radius: 5px;
  cursor: pointer; /* Change cursor to pointer */
  transition: transform 0.3s, opacity 0.3s; /* Smooth transition */
}

.clickable-image:hover {
  transform: scale(1.05); /* Slightly enlarge the image on hover */
  opacity: 0.8; /* Change opacity on hover */
}

.modal-dialog {
  max-width: 90%; /* Set modal width */
  margin: auto; /* Center the modal */
}

#modalImage {
  width: 100%; /* Make the image take the full width of the modal */
  height: auto; /* Maintain aspect ratio */
}

div.unitAdditionalAmenities > button.btn,
div.unitAdditionalAmenities > button.btn:hover,
div.unitAdditionalAmenities > button.btn:active
{
  margin: 20px 0;
  background: #221e1f;
  border: none;
}

section#mapContact {
  background: #6E6658 !important;
}

section#mapContact div.card {
  border-radius: initial;
}

section#mapContact div.card-body {
  padding:20px;
}

#ourLocation,
#contactUs {
  margin-bottom: 40px;
}

#Submit.btn
{
    background: #221e1f;
    border: none;
    border-radius: initial;
}

footer {
  background-color: #221e1f;
  color:#ffffff;
}



/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  #homeHeroText {
    margin: 10px 0px 40px;
  }
  #homeHeroText .lead {
    font-size: 24px;
  }
  #buildingAmenities h3 {
    font-size:20px;
  }
  .modal-dialog {
    max-width: 80%; /* Set modal width */
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  #homeHero > div > img {
    width: 360px;
    margin: 120px 0px;
  }
  #homeHeroText {
    margin: 40px 0px 80px;
  }
  #homeHeroText h1 {
    font-size:46px;
  }
  #homeHeroText .lead {
    font-size: 28px;
  }
  #homeHeroText .subLead {
    font-size: 24px;
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) { 
  #homeHero > div > img {
    width: 460px;
    margin: 80px 0px 40px;
  }

}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) { 
  #homeHero > div > img {
    margin: 80px 0px 0px;
  }
  #buildingMap > div > img {
    max-width:1075px;
  }
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) { 

}